PROGRAM_NAME='Level_Test'
(***********************************************************)
(***********************************************************)
(*  FILE_LAST_MODIFIED_ON: 04/05/2006  AT: 09:00:25        *)
(***********************************************************)
(* System Type : NetLinx                                   *)
(***********************************************************)
(* REV HISTORY:                                            *)
(***********************************************************)
(*
    $History: $
*)
(***********************************************************)
(*          DEVICE NUMBER DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_DEVICE

dvTP 	= 132:1:0



(***********************************************************)
(*               VARIABLE DEFINITIONS GO BELOW             *)
(***********************************************************)
DEFINE_VARIABLE

PERSISTENT INTEGER nTP_Level[24]


(***********************************************************)
(*        SUBROUTINE/FUNCTION DEFINITIONS GO BELOW         *)
(***********************************************************)
(* EXAMPLE: DEFINE_FUNCTION <RETURN_TYPE> <NAME> (<PARAMETERS>) *)
(* EXAMPLE: DEFINE_CALL '<NAME>' (<PARAMETERS>) *)

(***********************************************************)
(*                STARTUP CODE GOES BELOW                  *)
(***********************************************************)
DEFINE_START

(***********************************************************)
(*                THE EVENTS GO BELOW                      *)
(***********************************************************)
DEFINE_EVENT

BUTTON_EVENT[dvTP, 1]
{
    PUSH:
    {
	STACK_VAR INTEGER  nLoop, nValue, nAverage
	STACK_VAR FLOAT nflAverage, nflValue, nflAdjust
	STACK_VAR CHAR strValue[10]
        
	// Fill The levels up with something
	FOR (nLoop=1 ; nLoop<=24; nLoop++)
	{
	  nTP_Level[nLoop] = RANDOM_NUMBER(255)
	  SEND_LEVEL dvTP, nLoop, nTP_Level[nLoop]
	  nAverage = (nAverage + nTP_Level[nLoop])
	}
	
	// Now get the Average
	nAverage = (nAverage / 24)
	
	SEND_LEVEL dvTP, 25, nAverage
	SEND_COMMAND  dvTP,"'!T',2,ITOA(nAverage)" // Day 1
	
	// Send the Average Text so that it is next to the Average Line
	// This is very tricky, be very carefull editing it.
	// Note, 180 = the Text box height
	// Equation; Text location = 215 - (Level/ (255/215))
	nflAdjust = 255/215
	nflValue = nAverage/nflAdjust
	
	// Now revers the level
	strValue = FTOA(nflValue)
	nValue = ATOI(strValue)
	nValue = 215 - nValue
	
	// The font size is 10, so we need to ffset it by 10
	nValue = (nValue - 10)
	
	SEND_COMMAND  dvTP,"'^JST-2,0,0,0,',ITOA(nValue)"
	
    }
}

(***********************************************************)
(*            THE ACTUAL PROGRAM GOES BELOW                *)
(***********************************************************)
DEFINE_PROGRAM

(***********************************************************)
(*                     END OF PROGRAM                      *)
(*        DO NOT PUT ANY CODE BELOW THIS COMMENT           *)
(***********************************************************)

